import premierlibrary from 'libpremierlibrary.so';
import ACPM from "@acpm/acpm_ohos_pc";
export class PrivateService {
    static preInitService(c43) {
        ACPM.setup(c43);
        ACPM.getFunctionsBinder().forEach((e43, f43) => {
            premierlibrary.JSBind.bindFunction(f43, e43);
        });
        premierlibrary.nPreInitService();
    }
    static initService(x42, y42) {
        ACPM.setup(x42);
        ACPM.getFunctionsBinder().forEach((a43, b43) => {
            premierlibrary.JSBind.bindFunction(b43, a43);
        });
        premierlibrary.nInitService(y42);
    }
    static initServiceWithBytes(s42, t42) {
        ACPM.setup(s42);
        ACPM.getFunctionsBinder().forEach((v42, w42) => {
            premierlibrary.JSBind.bindFunction(w42, v42);
        });
        premierlibrary.nInitService_bytes(t42);
    }
}
